NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::GeometricAnalysis::CurveAnalysisPeaksBuilder Class Reference

This class handles the options setting for the curve analysis information (Peaks) display. More...

Inheritance diagram for NXOpen::GeometricAnalysis::CurveAnalysisPeaksBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  DirectionOptionType { DirectionOptionTypeNone, DirectionOptionTypePlaneOfCurve, DirectionOptionTypeSpecifyVector, DirectionOptionTypeWorkView }
 Direction option types. More...
 

Public Member Functions

std::vector< NXOpen::Point * > CreatePoints ()
 Create points at the peaks of the curve.
 
NXOpen::GeometricAnalysis::CurveAnalysisPeaksBuilder::DirectionOptionType DirectionOption ()
 Returns the direction option

 
NXOpen::ScCollectorSelectedCurves ()
 Returns the selected curves

 
void SetDirectionOption (NXOpen::GeometricAnalysis::CurveAnalysisPeaksBuilder::DirectionOptionType option)
 Sets the direction option

 
void SetVector (NXOpen::Direction *vect)
 Sets the vector

 
NXOpen::DirectionVector ()
 Returns the vector

 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder.
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder.
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit.
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder.
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results.
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called.
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t GetTag () const
 
<b>Deprecated</b>:<br>

   Use Tag instead.

 
tag_t Tag () const
 Returns the tag of this object.
 

Detailed Description

This class handles the options setting for the curve analysis information (Peaks) display.

<br> To create a new instance of this class, use @link GeometricAnalysis::AnalysisObjectCollection::CreateCurveAnalysisPeaksBuilder  GeometricAnalysis::AnalysisObjectCollection::CreateCurveAnalysisPeaksBuilder @endlink  <br> 


Deprecated:
Deprecated in NX8.5.0. Use GeometricAnalysis::CurveCurvatureAnalysis .


Created in NX6.0.0.

Member Enumeration Documentation

Direction option types.

Enumerator:
DirectionOptionTypeNone 

no direction

DirectionOptionTypePlaneOfCurve 

best fit plane

DirectionOptionTypeSpecifyVector 

specify vector

DirectionOptionTypeWorkView 

work view

Member Function Documentation

std::vector<NXOpen::Point *> NXOpen::GeometricAnalysis::CurveAnalysisPeaksBuilder::CreatePoints ( )

Create points at the peaks of the curve.

Returns

Deprecated:
Deprecated in NX8.5.0. Use GeometricAnalysis::CurveCurvatureAnalysis .


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::GeometricAnalysis::CurveAnalysisPeaksBuilder::DirectionOptionType NXOpen::GeometricAnalysis::CurveAnalysisPeaksBuilder::DirectionOption ( )

Returns the direction option

Deprecated:
Deprecated in NX8.5.0.

Use GeometricAnalysis::CurveCurvatureAnalysis .


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::ScCollector* NXOpen::GeometricAnalysis::CurveAnalysisPeaksBuilder::SelectedCurves ( )

Returns the selected curves

Deprecated:
Deprecated in NX8.5.0.

Use GeometricAnalysis::CurveCurvatureAnalysis .


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

void NXOpen::GeometricAnalysis::CurveAnalysisPeaksBuilder::SetDirectionOption ( NXOpen::GeometricAnalysis::CurveAnalysisPeaksBuilder::DirectionOptionType  option)

Sets the direction option

Deprecated:
Deprecated in NX8.5.0.

Use GeometricAnalysis::CurveCurvatureAnalysis .


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionoption
void NXOpen::GeometricAnalysis::CurveAnalysisPeaksBuilder::SetVector ( NXOpen::Direction vect)

Sets the vector

Deprecated:
Deprecated in NX8.5.0.

Use GeometricAnalysis::CurveCurvatureAnalysis .


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
vectvect
NXOpen::Direction* NXOpen::GeometricAnalysis::CurveAnalysisPeaksBuilder::Vector ( )

Returns the vector

Deprecated:
Deprecated in NX8.5.0.

Use GeometricAnalysis::CurveCurvatureAnalysis .


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2013 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.